/*
    Created by Quo
	ABOUT THIS MOD
	The values in this mod are meant to be edited as you see fit. Comment out lines that arent useful for your current testing, and add lines where 
	necessary. Once you have saved a game with this mod active, you can continue to edit this file and (for the most part) any changes you make
	here will appear in your game. See also the Type Name Cheat Sheet in this folder for a quick list of common types names for various
	kinds of game objects.
*/
 


-- UNITS 


-- Super Rocketboots: Give every unit the number of moves you want
UPDATE Units SET BaseMoves=BaseMoves + 5 ;


-- Super Sight for all units
UPDATE Units SET BaseSightRange=5 ;	


-- Make every unit cost x hammers
UPDATE Units SET Cost=1 ;


-- Tech/civic doesn't make units go obsolete
UPDATE Units SET MandatoryObsoleteTech=NULL ;
UPDATE Units SET ObsoleteTech=NULL ;
UPDATE Units SET MandatoryObsoleteCivic=NULL ;
UPDATE Units SET ObsoleteTech=NULL ;


-- Remove tech and civic pre-reqs from all units
UPDATE Units SET PrereqTech=NULL ;
UPDATE Units SET PrereqCivic=NULL ;


-- Give Builder-type units extra xX Build charges
UPDATE Units SET BuildCharges=BuildCharges*3 ;


-- Build Settlers even with 1 population
UPDATE Units SET PopulationCost='0', PrereqPopulation='1' WHERE UnitType='UNIT_SETTLER' ;



-- Optional Unit Settings
-- The settings below are provided in case you need them. Just remove the -- comment marker to activate. Be careful, as not as all are tested.

-- All units start at level 5 (good for testing promotions)
-- UPDATE Units SET InitialLevel='5' ;


-- Purchase any unit with gold. Careful with this--not tested. If you want to exclude units bought with Faith from this update, add   WHERE PurchaseYield=NULL
-- UPDATE Units SET PurchaseYield='YIELD_GOLD' ;





-- TECHS

-- Change tech rate. If you want to increase costs, make the number below a number larger than 1
UPDATE Technologies SET Cost=Cost*.2 ;



-- CIVICS

-- Change civic rate. If you want to increase costs, make the number below a number larger than 1
UPDATE Civics SET Cost=Cost*.2 ;



--RESOURCES

-- Reveal everything
UPDATE Resources SET PrereqTech= NULL ;
UPDATE Resources SET PrereqCivic= NULL ;
UPDATE Resources SET RevealedEra= 1 ; 



-- IMPROVEMENTS

-- Build improvements even if you don't have the tech
UPDATE Improvements SET PrereqTech= NULL ;
UPDATE Improvements SET PrereqCivic= NULL ;


-- Use Builders to build Barbarian camps (untested)
-- UPDATE Improvements SET Buildable='1' WHERE ImprovementType='IMPROVEMENT_BARBARIAN_CAMP' ;



-- BUILDINGS

-- Build any building even if you don't have the tech/civic
UPDATE Buildings SET PrereqTech= NULL ;
UPDATE Buildings SET PrereqCivic= NULL ;


-- Buildings cost x Hammers
UPDATE Buildings SET Cost= 1 ;



-- DISTRICTS
UPDATE Districts SET PrereqTech= NULL ;
UPDATE Districts SET PrereqCivic= NULL ;


-- Districts cost x Hammers
UPDATE Districts SET Cost= 1 ;


-- Districts dont require population
UPDATE Districts SET RequiresPopulation=0 ;


-- CITY CENTER

-- Give x housing and x Entertainment to all cities
UPDATE Districts SET Housing=100 WHERE DistrictType='DISTRICT_CITY_CENTER' ;
UPDATE Districts SET Entertainment=100 WHERE DistrictType='DISTRICT_CITY_CENTER' ;



-- PALACE

-- Palace gives extra Gold per turn. Modify as needed. Can also change to YIELD_CULTURE, YIELD_SCIENCE, YIELD_FAITH etc
UPDATE Building_YieldChanges SET YieldChange=200 WHERE BuildingType='BUILDING_PALACE' AND YieldType='YIELD_GOLD' ; 

